Get workbook

Returns the specified workbook.

Request

POST

http://<хост_on-premises>/rpc/getWorkbook

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "workbookId": "example",
  "includePermissionsInfo": true
}

Name

Description

workbookId

Type: string

ID of the workbook to retrieve.

Example: example

includePermissionsInfo

Type: boolean

Include permission information in the response.

Responses

200 OK

Response

Body

application/json
{
  "workbookId": "example",
  "collectionId": "example",
  "title": "example",
  "description": "example",
  "tenantId": "example",
  "meta": {
    "importId": "example"
  },
  "createdBy": "example",
  "createdAt": "example",
  "updatedBy": "example",
  "updatedAt": "example",
  "status": "creating",
  "permissions": {
    "listAccessBindings": true,
    "updateAccessBindings": true,
    "limitedView": true,
    "view": true,
    "update": true,
    "copy": true,
    "move": true,
    "publish": true,
    "embed": true,
    "delete": true
  }
}

Name

Description

collectionId

Type: string | null

ID of the collection the workbook belongs to.

Example: example

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

ID of the user who created the workbook.

Example: example

description

Type: string | null

Description of the workbook.

Example: example

meta

All of 2 types
  • Type: object

    importId

    Type: string

    ID of the workbook import operation.

    Example: example

    Example
    {
      "importId": "example"
    }
    
  • Type: object

    [additional]

    Type: unknown

    Example: null

    Example
    {}
    

Metadata associated with the workbook.

Example
{
  "importId": "example"
}

permissions

Type: WorkbookPermissions

Permissions for the workbook.

Example
{
  "listAccessBindings": true,
  "updateAccessBindings": true,
  "limitedView": true,
  "view": true,
  "update": true,
  "copy": true,
  "move": true,
  "publish": true,
  "embed": true,
  "delete": true
}

tenantId

Type: string

ID of the DataLens tenant.

Example: example

title

Type: string

Title of the workbook.

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

ID of the user who last updated the workbook.

Example: example

workbookId

Type: string

Unique identifier of the workbook.

Example: example

status

Type: string

Status of the workbook.

Enum: creating, deleting, active, deleted

WorkbookPermissions

Name

Description

copy

Type: boolean

Indicates if the workbook can be copied.

delete

Type: boolean

Indicates if the workbook can be deleted.

embed

Type: boolean

Indicates if entries in the workbook can be embedded.

limitedView

Type: boolean

Indicates if the workbook can be viewed with limited access.

listAccessBindings

Type: boolean

Indicates if access bindings for the workbook can be listed.

move

Type: boolean

Indicates if the workbook can be moved.

publish

Type: boolean

Indicates if entries in the workbook can be published.

update

Type: boolean

Indicates if the workbook can be updated.

updateAccessBindings

Type: boolean

Indicates if access bindings for the workbook can be updated.

view

Type: boolean

Indicates if the workbook can be viewed.

Example
{
  "listAccessBindings": true,
  "updateAccessBindings": true,
  "limitedView": true,
  "view": true,
  "update": true,
  "copy": true,
  "move": true,
  "publish": true,
  "embed": true,
  "delete": true
}